%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-pkginfo
Version:    0.3.0
Release:    4%{?dist}
Summary:    An easy way to expose properties on a module from a package.json
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/indexzero/node-pkginfo
Source0:    http://registry.npmjs.org/pkginfo/-/pkginfo-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(vows)
%endif

%description
This Node.js module provides an easy way to expose package.json properties.
By invoking the pkginfo module all of the properties in your package.json
file will be automatically exposed on the callee module (ie, the parent
module of pkginfo).


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/pkginfo
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/pkginfo

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/vows/bin/vows test/*-test.js --spec
%endif


%files
%doc LICENSE README.md docs/ examples/
%{nodejs_sitelib}/pkginfo


%changelog
* Sun Jul 28 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.0-4
- restrict to compatible arches

* Wed Jun 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.0-3
- rebuild for missing npm(pkginfo) provides on EL6

* Wed Feb 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.0-2
- remove comment about LICENSE

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.0-1
- initial package
